Skip to main content
GET
/
v1
/
specs
List specs
curl --request GET \
  --url https://api.usezombie.com/v1/specs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "spec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_path": "<string>",
      "title": "<string>",
      "status": "pending",
      "created_at": 123,
      "updated_at": 123
    }
  ],
  "has_more": true,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Query Parameters

workspace_id
string<uuid>
required

Filter by workspace

limit
integer
default:50

Maximum number of specs to return

Required range: 1 <= x <= 100
starting_after
string<uuid>

Cursor for keyset pagination. Pass the spec_id of the last item on the previous page.

status
string

Filter specs by status

Response

Spec list

data
object[]
required
has_more
boolean
required

Whether more results exist beyond this page

request_id
string<uuid>
required
next_cursor
string | null

Cursor to pass as starting_after for the next page